Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class CriteriaRowTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.CriteriaRowTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class CriteriaRowTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected boolean` | `bClearAll`
`protected boolean` | `bUpperColumns`
`protected int` | `index`
`protected ViewCriteriaRow` | `vr`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CriteriaRowTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the start tag for this instance.
`ViewCriteriaRow` | `getViewCriteriaRow()`
`void` | `setClearall(java.lang.String sValue)`
`void` | `setIndex(java.lang.String sValue)`
`void` | `setUppercolumns(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bClearAll

    protected boolean bClearAll

### index

    protected int index

### bUpperColumns

    protected boolean bUpperColumns

### vr

    protected ViewCriteriaRow vr

Constructor Detail

### CriteriaRowTag

    public CriteriaRowTag()

Method Detail

### setClearall

    public void setClearall(java.lang.String sValue)

### setIndex

    public void setIndex(java.lang.String sValue)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setUppercolumns

    public void setUppercolumns(java.lang.String sValue)

### getViewCriteriaRow

    public ViewCriteriaRow getViewCriteriaRow()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does ont want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.